1# Makefile.in generated by automake 1.8.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16srcdir = @srcdir@
17top_srcdir = @top_srcdir@
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkgincludedir = $(includedir)/@PACKAGE@
22top_builddir = .
23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24INSTALL = @INSTALL@
25install_sh_DATA = $(install_sh) -c -m 644
26install_sh_PROGRAM = $(install_sh) -c
27install_sh_SCRIPT = $(install_sh) -c
28INSTALL_HEADER = $(INSTALL_DATA)
29transform = $(program_transform_name)
30NORMAL_INSTALL = :
31PRE_INSTALL = :
32POST_INSTALL = :
33NORMAL_UNINSTALL = :
34PRE_UNINSTALL = :
35POST_UNINSTALL = :
36subdir = .
37DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
39	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
40	depcomp install-sh missing mkinstalldirs
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44	$(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno configure.status.lineno
47mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
48CONFIG_HEADER = config.h
49CONFIG_CLEAN_FILES =
50SOURCES =
51DIST_SOURCES =
52RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
53	html-recursive info-recursive install-data-recursive \
54	install-exec-recursive install-info-recursive \
55	install-recursive installcheck-recursive installdirs-recursive \
56	pdf-recursive ps-recursive uninstall-info-recursive \
57	uninstall-recursive
58ETAGS = etags
59CTAGS = ctags
60DIST_SUBDIRS = $(SUBDIRS)
61DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
62distdir = $(PACKAGE)-$(VERSION)
63top_distdir = $(distdir)
64am__remove_distdir = \
65  { test ! -d $(distdir) \
66    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
67         && rm -fr $(distdir); }; }
68DIST_ARCHIVES = $(distdir).tar.gz
69GZIP_ENV = --best
70distuninstallcheck_listfiles = find . -type f -print
71distcleancheck_listfiles = find . -type f -print
72ACLOCAL = @ACLOCAL@
73AMDEP_FALSE = @AMDEP_FALSE@
74AMDEP_TRUE = @AMDEP_TRUE@
75AMTAR = @AMTAR@
76AUTOCONF = @AUTOCONF@
77AUTOHEADER = @AUTOHEADER@
78AUTOMAKE = @AUTOMAKE@
79AWK = @AWK@
80CC = @CC@
81CCDEPMODE = @CCDEPMODE@
82CFLAGS = @CFLAGS@
83CPP = @CPP@
84CPPFLAGS = @CPPFLAGS@
85CYGPATH_W = @CYGPATH_W@
86DEFS = @DEFS@
87DEPDIR = @DEPDIR@
88ECHO_C = @ECHO_C@
89ECHO_N = @ECHO_N@
90ECHO_T = @ECHO_T@
91EGREP = @EGREP@
92EXEEXT = @EXEEXT@
93INSTALL_DATA = @INSTALL_DATA@
94INSTALL_PROGRAM = @INSTALL_PROGRAM@
95INSTALL_SCRIPT = @INSTALL_SCRIPT@
96INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
97LDFLAGS = @LDFLAGS@
98LIBOBJS = @LIBOBJS@
99LIBS = @LIBS@
100LTLIBOBJS = @LTLIBOBJS@
101MAKEINFO = @MAKEINFO@
102OBJEXT = @OBJEXT@
103PACKAGE = @PACKAGE@
104PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
105PACKAGE_NAME = @PACKAGE_NAME@
106PACKAGE_STRING = @PACKAGE_STRING@
107PACKAGE_TARNAME = @PACKAGE_TARNAME@
108PACKAGE_VERSION = @PACKAGE_VERSION@
109PATH_SEPARATOR = @PATH_SEPARATOR@
110SET_MAKE = @SET_MAKE@
111SHELL = @SHELL@
112STRIP = @STRIP@
113VERSION = @VERSION@
114ac_ct_CC = @ac_ct_CC@
115ac_ct_STRIP = @ac_ct_STRIP@
116am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
117am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
118am__include = @am__include@
119am__leading_dot = @am__leading_dot@
120am__quote = @am__quote@
121bindir = @bindir@
122build_alias = @build_alias@
123datadir = @datadir@
124exec_prefix = @exec_prefix@
125host_alias = @host_alias@
126includedir = @includedir@
127infodir = @infodir@
128install_sh = @install_sh@
129libdir = @libdir@
130libexecdir = @libexecdir@
131localstatedir = @localstatedir@
132mandir = @mandir@
133mkdir_p = @mkdir_p@
134oldincludedir = @oldincludedir@
135prefix = @prefix@
136program_transform_name = @program_transform_name@
137sbindir = @sbindir@
138sharedstatedir = @sharedstatedir@
139sysconfdir = @sysconfdir@
140target_alias = @target_alias@
141SUBDIRS = src conf
142all: config.h
143	$(MAKE) $(AM_MAKEFLAGS) all-recursive
144
145.SUFFIXES:
146am--refresh:
147	@:
148$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
149	@for dep in $?; do \
150	  case '$(am__configure_deps)' in \
151	    *$$dep*) \
152	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
153	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
154		&& exit 0; \
155	      exit 1;; \
156	  esac; \
157	done; \
158	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
159	cd $(top_srcdir) && \
160	  $(AUTOMAKE) --gnu  Makefile
161.PRECIOUS: Makefile
162Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
163	@case '$?' in \
164	  *config.status*) \
165	    echo ' $(SHELL) ./config.status'; \
166	    $(SHELL) ./config.status;; \
167	  *) \
168	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
169	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
170	esac;
171
172$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
173	$(SHELL) ./config.status --recheck
174
175$(top_srcdir)/configure:  $(am__configure_deps)
176	cd $(srcdir) && $(AUTOCONF)
177$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
178	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
179
180config.h: stamp-h1
181	@if test ! -f $@; then \
182	  rm -f stamp-h1; \
183	  $(MAKE) stamp-h1; \
184	else :; fi
185
186stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
187	@rm -f stamp-h1
188	cd $(top_builddir) && $(SHELL) ./config.status config.h
189$(srcdir)/config.h.in:  $(am__configure_deps)
190	cd $(top_srcdir) && $(AUTOHEADER)
191	rm -f stamp-h1
192	touch $@
193
194distclean-hdr:
195	-rm -f config.h stamp-h1
196uninstall-info-am:
197
198# This directory's subdirectories are mostly independent; you can cd
199# into them and run `make' without going through this Makefile.
200# To change the values of `make' variables: instead of editing Makefiles,
201# (1) if the variable is set in `config.status', edit `config.status'
202#     (which will cause the Makefiles to be regenerated when you run `make');
203# (2) otherwise, pass the desired values on the `make' command line.
204$(RECURSIVE_TARGETS):
205	@set fnord $$MAKEFLAGS; amf=$$2; \
206	dot_seen=no; \
207	target=`echo $@ | sed s/-recursive//`; \
208	list='$(SUBDIRS)'; for subdir in $$list; do \
209	  echo "Making $$target in $$subdir"; \
210	  if test "$$subdir" = "."; then \
211	    dot_seen=yes; \
212	    local_target="$$target-am"; \
213	  else \
214	    local_target="$$target"; \
215	  fi; \
216	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
217	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
218	done; \
219	if test "$$dot_seen" = "no"; then \
220	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
221	fi; test -z "$$fail"
222
223mostlyclean-recursive clean-recursive distclean-recursive \
224maintainer-clean-recursive:
225	@set fnord $$MAKEFLAGS; amf=$$2; \
226	dot_seen=no; \
227	case "$@" in \
228	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
229	  *) list='$(SUBDIRS)' ;; \
230	esac; \
231	rev=''; for subdir in $$list; do \
232	  if test "$$subdir" = "."; then :; else \
233	    rev="$$subdir $$rev"; \
234	  fi; \
235	done; \
236	rev="$$rev ."; \
237	target=`echo $@ | sed s/-recursive//`; \
238	for subdir in $$rev; do \
239	  echo "Making $$target in $$subdir"; \
240	  if test "$$subdir" = "."; then \
241	    local_target="$$target-am"; \
242	  else \
243	    local_target="$$target"; \
244	  fi; \
245	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
246	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
247	done && test -z "$$fail"
248tags-recursive:
249	list='$(SUBDIRS)'; for subdir in $$list; do \
250	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
251	done
252ctags-recursive:
253	list='$(SUBDIRS)'; for subdir in $$list; do \
254	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
255	done
256
257ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
258	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
259	unique=`for i in $$list; do \
260	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
261	  done | \
262	  $(AWK) '    { files[$$0] = 1; } \
263	       END { for (i in files) print i; }'`; \
264	mkid -fID $$unique
265tags: TAGS
266
267TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
268		$(TAGS_FILES) $(LISP)
269	tags=; \
270	here=`pwd`; \
271	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
272	  include_option=--etags-include; \
273	  empty_fix=.; \
274	else \
275	  include_option=--include; \
276	  empty_fix=; \
277	fi; \
278	list='$(SUBDIRS)'; for subdir in $$list; do \
279	  if test "$$subdir" = .; then :; else \
280	    test ! -f $$subdir/TAGS || \
281	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
282	  fi; \
283	done; \
284	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
285	unique=`for i in $$list; do \
286	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
287	  done | \
288	  $(AWK) '    { files[$$0] = 1; } \
289	       END { for (i in files) print i; }'`; \
290	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
291	  test -n "$$unique" || unique=$$empty_fix; \
292	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
293	    $$tags $$unique; \
294	fi
295ctags: CTAGS
296CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
297		$(TAGS_FILES) $(LISP)
298	tags=; \
299	here=`pwd`; \
300	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
301	unique=`for i in $$list; do \
302	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
303	  done | \
304	  $(AWK) '    { files[$$0] = 1; } \
305	       END { for (i in files) print i; }'`; \
306	test -z "$(CTAGS_ARGS)$$tags$$unique" \
307	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
308	     $$tags $$unique
309
310GTAGS:
311	here=`$(am__cd) $(top_builddir) && pwd` \
312	  && cd $(top_srcdir) \
313	  && gtags -i $(GTAGS_ARGS) $$here
314
315distclean-tags:
316	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
317
318distdir: $(DISTFILES)
319	$(am__remove_distdir)
320	mkdir $(distdir)
321	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
322	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
323	list='$(DISTFILES)'; for file in $$list; do \
324	  case $$file in \
325	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
326	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
327	  esac; \
328	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
329	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
330	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
331	    dir="/$$dir"; \
332	    $(mkdir_p) "$(distdir)$$dir"; \
333	  else \
334	    dir=''; \
335	  fi; \
336	  if test -d $$d/$$file; then \
337	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
338	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
339	    fi; \
340	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
341	  else \
342	    test -f $(distdir)/$$file \
343	    || cp -p $$d/$$file $(distdir)/$$file \
344	    || exit 1; \
345	  fi; \
346	done
347	list='$(SUBDIRS)'; for subdir in $$list; do \
348	  if test "$$subdir" = .; then :; else \
349	    test -d "$(distdir)/$$subdir" \
350	    || mkdir "$(distdir)/$$subdir" \
351	    || exit 1; \
352	    (cd $$subdir && \
353	      $(MAKE) $(AM_MAKEFLAGS) \
354	        top_distdir="../$(top_distdir)" \
355	        distdir="../$(distdir)/$$subdir" \
356	        distdir) \
357	      || exit 1; \
358	  fi; \
359	done
360	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
361	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
362	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
363	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
364	|| chmod -R a+r $(distdir)
365dist-gzip: distdir
366	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
367	$(am__remove_distdir)
368
369dist-bzip2: distdir
370	$(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
371	$(am__remove_distdir)
372
373dist-tarZ: distdir
374	$(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
375	$(am__remove_distdir)
376
377dist-shar: distdir
378	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
379	$(am__remove_distdir)
380
381dist-zip: distdir
382	-rm -f $(distdir).zip
383	zip -rq $(distdir).zip $(distdir)
384	$(am__remove_distdir)
385
386dist dist-all: distdir
387	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
388	$(am__remove_distdir)
389
390# This target untars the dist file and tries a VPATH configuration.  Then
391# it guarantees that the distribution is self-contained by making another
392# tarfile.
393distcheck: dist
394	case '$(DIST_ARCHIVES)' in \
395	*.tar.gz*) \
396	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
397	*.tar.bz2*) \
398	  bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
399	*.tar.Z*) \
400	  uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
401	*.shar.gz*) \
402	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
403	*.zip*) \
404	  unzip $(distdir).zip ;;\
405	esac
406	chmod -R a-w $(distdir); chmod a+w $(distdir)
407	mkdir $(distdir)/_build
408	mkdir $(distdir)/_inst
409	chmod a-w $(distdir)
410	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
411	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
412	  && cd $(distdir)/_build \
413	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
414	    $(DISTCHECK_CONFIGURE_FLAGS) \
415	  && $(MAKE) $(AM_MAKEFLAGS) \
416	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
417	  && $(MAKE) $(AM_MAKEFLAGS) check \
418	  && $(MAKE) $(AM_MAKEFLAGS) install \
419	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
420	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
421	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
422	        distuninstallcheck \
423	  && chmod -R a-w "$$dc_install_base" \
424	  && ({ \
425	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
426	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
427	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
428	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
429	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
430	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
431	  && rm -rf "$$dc_destdir" \
432	  && $(MAKE) $(AM_MAKEFLAGS) dist \
433	  && rm -rf $(DIST_ARCHIVES) \
434	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
435	$(am__remove_distdir)
436	@(echo "$(distdir) archives ready for distribution: "; \
437	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
438	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
439distuninstallcheck:
440	@cd $(distuninstallcheck_dir) \
441	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
442	   || { echo "ERROR: files left after uninstall:" ; \
443	        if test -n "$(DESTDIR)"; then \
444	          echo "  (check DESTDIR support)"; \
445	        fi ; \
446	        $(distuninstallcheck_listfiles) ; \
447	        exit 1; } >&2
448distcleancheck: distclean
449	@if test '$(srcdir)' = . ; then \
450	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
451	  exit 1 ; \
452	fi
453	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
454	  || { echo "ERROR: files left in build directory after distclean:" ; \
455	       $(distcleancheck_listfiles) ; \
456	       exit 1; } >&2
457check-am: all-am
458check: check-recursive
459all-am: Makefile config.h
460installdirs: installdirs-recursive
461installdirs-am:
462install: install-recursive
463install-exec: install-exec-recursive
464install-data: install-data-recursive
465uninstall: uninstall-recursive
466
467install-am: all-am
468	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
469
470installcheck: installcheck-recursive
471install-strip:
472	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
473	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
474	  `test -z '$(STRIP)' || \
475	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
476mostlyclean-generic:
477
478clean-generic:
479
480distclean-generic:
481	-rm -f $(CONFIG_CLEAN_FILES)
482
483maintainer-clean-generic:
484	@echo "This command is intended for maintainers to use"
485	@echo "it deletes files that may require special tools to rebuild."
486clean: clean-recursive
487
488clean-am: clean-generic mostlyclean-am
489
490distclean: distclean-recursive
491	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
492	-rm -f Makefile
493distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
494
495dvi: dvi-recursive
496
497dvi-am:
498
499html: html-recursive
500
501info: info-recursive
502
503info-am:
504
505install-data-am:
506
507install-exec-am:
508
509install-info: install-info-recursive
510
511install-man:
512
513installcheck-am:
514
515maintainer-clean: maintainer-clean-recursive
516	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
517	-rm -rf $(top_srcdir)/autom4te.cache
518	-rm -f Makefile
519maintainer-clean-am: distclean-am maintainer-clean-generic
520
521mostlyclean: mostlyclean-recursive
522
523mostlyclean-am: mostlyclean-generic
524
525pdf: pdf-recursive
526
527pdf-am:
528
529ps: ps-recursive
530
531ps-am:
532
533uninstall-am: uninstall-info-am
534
535uninstall-info: uninstall-info-recursive
536
537.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
538	check-am clean clean-generic clean-recursive ctags \
539	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
540	dist-tarZ dist-zip distcheck distclean distclean-generic \
541	distclean-hdr distclean-recursive distclean-tags \
542	distcleancheck distdir distuninstallcheck dvi dvi-am html \
543	html-am info info-am install install-am install-data \
544	install-data-am install-exec install-exec-am install-info \
545	install-info-am install-man install-strip installcheck \
546	installcheck-am installdirs installdirs-am maintainer-clean \
547	maintainer-clean-generic maintainer-clean-recursive \
548	mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
549	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
550	uninstall-info-am
551
552# Tell versions [3.59,3.63) of GNU make to not export all variables.
553# Otherwise a system limit (for SysV at least) may be exceeded.
554.NOEXPORT:
555